# CoinVoidStarArrayWithLength Class Reference

void * version More...

`#include <CoinIndexedVector.hpp>`

Inheritance diagram for CoinVoidStarArrayWithLength:
[legend]
Collaboration diagram for CoinVoidStarArrayWithLength:
[legend]

List of all members.

## Public Member Functions
Get methods.
int | getSize () const
| Get the size.
void ** | array () const
| Get Array.
Set methods
void | setSize (int value)
| Set the size.
Condition methods
void ** | conditionalNew (int sizeWanted)
| Conditionally gets new array.
Constructors and destructors
| CoinVoidStarArrayWithLength ()
| Default constructor - NULL.
| CoinVoidStarArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1.
| CoinVoidStarArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.
| CoinVoidStarArrayWithLength (const CoinVoidStarArrayWithLength &rhs)
| Copy constructor.
| CoinVoidStarArrayWithLength (const CoinVoidStarArrayWithLength *rhs)
| Copy constructor.2.
CoinVoidStarArrayWithLength & | operator= (const CoinVoidStarArrayWithLength &rhs)
| Assignment operator.

## Detailed Description

void * version

Definition at line 941 of file CoinIndexedVector.hpp.

## Constructor & Destructor Documentation

CoinVoidStarArrayWithLength::CoinVoidStarArrayWithLength | ( |  | ) | `[inline]`

Default constructor - NULL.

Definition at line 971 of file CoinIndexedVector.hpp.

CoinVoidStarArrayWithLength::CoinVoidStarArrayWithLength | ( | int | size | ) | `[inline]`

Alternate Constructor - length in bytes - size_ -1.

Definition at line 974 of file CoinIndexedVector.hpp.

CoinVoidStarArrayWithLength::CoinVoidStarArrayWithLength | ( | int | size,
|  | int | mode |
| ) |  |  | `[inline]`

Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.

Definition at line 980 of file CoinIndexedVector.hpp.

CoinVoidStarArrayWithLength::CoinVoidStarArrayWithLength | ( | const CoinVoidStarArrayWithLength & | rhs | ) | `[inline]`

Copy constructor.

Definition at line 983 of file CoinIndexedVector.hpp.

CoinVoidStarArrayWithLength::CoinVoidStarArrayWithLength | ( | const CoinVoidStarArrayWithLength * | rhs | ) | `[inline]`

Copy constructor.2.

Definition at line 986 of file CoinIndexedVector.hpp.

## Member Function Documentation

int CoinVoidStarArrayWithLength::getSize | ( |  | ) | const`[inline]`

Get the size.

Reimplemented from CoinArrayWithLength.

Definition at line 947 of file CoinIndexedVector.hpp.

void** CoinVoidStarArrayWithLength::array | ( |  | ) | const`[inline]`

Get Array.

Reimplemented from CoinArrayWithLength.

Definition at line 950 of file CoinIndexedVector.hpp.

void CoinVoidStarArrayWithLength::setSize | ( | int | value | ) | `[inline]`

Set the size.

Reimplemented from CoinArrayWithLength.

Definition at line 957 of file CoinIndexedVector.hpp.

void** CoinVoidStarArrayWithLength::conditionalNew | ( | int | sizeWanted | ) | `[inline]`

Conditionally gets new array.

Definition at line 964 of file CoinIndexedVector.hpp.

CoinVoidStarArrayWithLength& CoinVoidStarArrayWithLength::operator= | ( | const CoinVoidStarArrayWithLength & | rhs | ) | `[inline]`

Assignment operator.

Reimplemented from CoinArrayWithLength.

Definition at line 989 of file CoinIndexedVector.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Bcps-0.93.10/CoinUtils/src/CoinIndexedVector.hpp